---
updatedAt: 2026-05-04T19:18:29.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Get withdrawal service agent information

Get information about withdrawal service agents (WSA) or the direct ISP participant providing the withdrawal service. 

A WSA is a service provider that facilitates the withdrawal of funds in Pix. It acts as a bridge between Pix and customers who want to withdraw funds from their accounts.

A WSA point is a location or access point where users can physically or digitally access WSA services. This could be a physical location such as a bank branch or retail store or digital acceess point such as a mobile app or web portal.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix payments",
    "description": "API to handle Pix transactions",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox-cdn.pismolabs.io",
      "description": "Sandbox API server for testing"
    },
    {
      "url": "https://sandbox-cdn.pismolabs.io/inst-pull-pay",
      "description": "Sandbox API server for testing instant pull pay."
    }
  ],
  "tags": [
    {
      "name": "Withdrawal services"
    }
  ],
  "components": {
    "parameters": {
      "CIDheader": {
        "name": "x-cid",
        "description": "The Correlation ID UUID field links related API requests and events. The `x-cid` can help the Pismo engineering team track everything related to a call. If not passed, this field is automatically generated.\n",
        "in": "header",
        "required": false,
        "schema": {
          "type": "string"
        }
      },
      "ISPBtransmitterQuery": {
        "in": "query",
        "name": "ispbTransmitter",
        "schema": {
          "type": "string",
          "maxLength": 8
        },
        "description": "<a href=\"https://bank.codes/numero-do-banco/bank/banco-central-do-brasil/\" target=\"_blank\">ISPB (Identifcador do Sistema de Pagamento Brazil)</a> - the Brazilian Payment System ID, an 8-digit value. The ISPB transmitter ensures the payment request is directed to the correct receiving institution based on the ISPB code associated with the beneficiary's account.",
        "required": true
      },
      "limitQuery": {
        "in": "query",
        "name": "limit",
        "description": "Maximum number of agents to return. Default is all.",
        "schema": {
          "type": "integer"
        },
        "example": 20
      },
      "PageQuery": {
        "name": "page",
        "in": "query",
        "description": "Page number. Default = `1`.",
        "required": true,
        "schema": {
          "type": "string"
        },
        "example": "1"
      }
    },
    "schemas": {
      "customer.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.PayloadMessage"
            }
          }
        }
      },
      "customer.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error's code.",
            "example": "EPT0001"
          },
          "details": {
            "$ref": "#/components/schemas/customer.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error's message.",
            "example": "User not found"
          }
        }
      },
      "customer.ExternalMessage": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code.",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message.",
            "example": "Generic error"
          }
        }
      },
      "customer.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter field",
            "example": "Query parameter"
          },
          "message": {
            "type": "string",
            "description": "Message about parameter",
            "example": "Generic error"
          }
        }
      },
      "customer.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Payload parameter",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Message about error",
            "example": "Generic error"
          }
        }
      },
      "pix.Meta": {
        "type": "object",
        "properties": {
          "date_time_data_generation": {
            "type": "string",
            "description": "Date/time date generated. RFC 3339 format.",
            "example": "2023-04-12T23:20:50.52Z"
          },
          "ispb_transmitting": {
            "type": "string",
            "description": "ISPB (Brazilian bank ID) transmitting",
            "example": "87653099"
          },
          "name_transmitting": {
            "type": "string",
            "description": "Name of ISPB transmitting",
            "example": "Joe's bank"
          },
          "total_pages": {
            "type": "string",
            "description": "Total pages",
            "example": "10"
          },
          "total_records": {
            "type": "string",
            "description": "Total records",
            "example": "20"
          }
        }
      },
      "pix.Period": {
        "type": "object",
        "description": "Date and times when access is available",
        "properties": {
          "maximum_value_available": {
            "type": "string",
            "description": "Maximum value available",
            "example": "10000"
          },
          "weekly_day": {
            "type": "string",
            "description": "Weekly day",
            "example": "Monday"
          },
          "working_period": {
            "$ref": "#/components/schemas/pix.WorkingPeriod"
          }
        }
      },
      "pix.PointAttendance": {
        "type": "object",
        "properties": {
          "address": {
            "type": "string",
            "description": "Agent address",
            "example": "Av Augusta, apt 1024"
          },
          "city": {
            "type": "string",
            "description": "Agent city",
            "example": "Sao Paulo"
          },
          "latitude": {
            "type": "string",
            "description": "Latitude",
            "example": "23.5558 S"
          },
          "longitude": {
            "type": "string",
            "description": "Longitude",
            "example": "46.6396 W"
          },
          "name": {
            "type": "string",
            "description": "Name",
            "example": "Jenny Side"
          },
          "neighborhood": {
            "type": "string",
            "description": "Neighborhood",
            "example": "Bela Vista"
          },
          "observations": {
            "type": "string",
            "description": "Observations. Any additional text or information."
          },
          "period": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/pix.Period"
            }
          },
          "postal_code": {
            "type": "string",
            "description": "Postal code",
            "example": "01000-000"
          },
          "products": {
            "$ref": "#/components/schemas/pix.Products"
          },
          "state": {
            "type": "string",
            "description": "State",
            "example": "Rio de Janiero"
          }
        }
      },
      "pix.Products": {
        "type": "object",
        "description": "Available agent services",
        "properties": {
          "pix_change": {
            "type": "boolean",
            "description": "Is Pix change transaction available?"
          },
          "pix_withdrawal": {
            "type": "boolean",
            "description": "Is Pix withdrawal transaction available?"
          }
        }
      },
      "pix.Records": {
        "type": "object",
        "description": "Agent information",
        "properties": {
          "name_agent_withdrawal": {
            "type": "string",
            "description": "Withdrawal agent name",
            "example": "Ruth Les"
          },
          "point_attendance": {
            "type": "array",
            "description": "Where WSA service point is available - bank branches, ATMs, stores, and so on.",
            "items": {
              "$ref": "#/components/schemas/pix.PointAttendance"
            }
          },
          "tax_id_agent_withdrawal": {
            "type": "string",
            "description": "Withdrawal agent tax ID",
            "example": "123412341234"
          }
        }
      },
      "pix.WithdrawalServicePointResponse": {
        "type": "object",
        "properties": {
          "meta": {
            "$ref": "#/components/schemas/pix.Meta"
          },
          "records": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/pix.Records"
            }
          }
        }
      },
      "pix.WorkingPeriod": {
        "type": "object",
        "properties": {
          "closing_withdrawal": {
            "type": "string",
            "description": "Closing withdrawal time",
            "example": "18:00"
          },
          "opening_withdrawal": {
            "type": "string",
            "description": "Opening withdrawal time",
            "example": "08:00"
          }
        }
      }
    },
    "responses": {
      "400BadRequest2": {
        "description": "Bad request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "403Forbidden2": {
        "description": "Forbidden",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "404NotFound2": {
        "description": "Not found",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "429TooManyRequests2": {
        "description": "Too many requests",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "500InternalServer2": {
        "description": "Internal Server Error",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "502BadGateway2": {
        "description": "Bad gateway",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "504GatewayTimeout2": {
        "description": "Gateway timeout",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      }
    }
  },
  "paths": {
    "/pix/v1/pix/withdrawal-service-point": {
      "get": {
        "summary": "Get withdrawal service agent information",
        "description": "Get information about withdrawal service agents (WSA) or the direct ISP participant providing the withdrawal service. \n\nA WSA is a service provider that facilitates the withdrawal of funds in Pix. It acts as a bridge between Pix and customers who want to withdraw funds from their accounts.\n\nA WSA point is a location or access point where users can physically or digitally access WSA services. This could be a physical location such as a bank branch or retail store or digital acceess point such as a mobile app or web portal.\n",
        "operationId": "get-withdrawal-service-point",
        "tags": [
          "Withdrawal services"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/CIDheader"
          },
          {
            "$ref": "#/components/parameters/ISPBtransmitterQuery"
          },
          {
            "$ref": "#/components/parameters/PageQuery"
          },
          {
            "$ref": "#/components/parameters/limitQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "Response Body",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/pix.WithdrawalServicePointResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest2"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden2"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound2"
          },
          "429": {
            "$ref": "#/components/responses/429TooManyRequests2"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer2"
          },
          "502": {
            "$ref": "#/components/responses/502BadGateway2"
          },
          "504": {
            "$ref": "#/components/responses/504GatewayTimeout2"
          }
        }
      }
    }
  }
}
```